Skip to content
Start here

Get Leaked Credential Checks Custom Detection

client.leakedCredentialChecks.detections.get(stringdetectionId, DetectionGetParams { zone_id } params, RequestOptionsoptions?): DetectionGetResponse { id, password, username }
GET/zones/{zone_id}/leaked-credential-checks/detections/{detection_id}

Get user-defined detection pattern for Leaked Credential Checks.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone WAF WriteZone WAF ReadAccount WAF WriteAccount WAF Read
ParametersExpand Collapse
detectionId: string

Defines the unique ID for this custom detection.

maxLength32
params: DetectionGetParams { zone_id }
zone_id: string

Defines an identifier.

maxLength32
ReturnsExpand Collapse
DetectionGetResponse { id, password, username }

Defines a custom set of username/password expressions to match Leaked Credential Checks on.

id?: string

Defines the unique ID for this custom detection.

maxLength32
password?: string

Defines ehe ruleset expression to use in matching the password in a request.

username?: string

Defines the ruleset expression to use in matching the username in a request.

Get Leaked Credential Checks Custom Detection

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const detection = await client.leakedCredentialChecks.detections.get(
  '18a14bafaa8eb1df04ce683ec18c765e',
  { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(detection.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "18a14bafaa8eb1df04ce683ec18c765e",
    "password": "lookup_json_string(http.request.body.raw, \"secret\")",
    "username": "lookup_json_string(http.request.body.raw, \"user\")"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "18a14bafaa8eb1df04ce683ec18c765e",
    "password": "lookup_json_string(http.request.body.raw, \"secret\")",
    "username": "lookup_json_string(http.request.body.raw, \"user\")"
  },
  "success": true
}